Subject: Re: bug#58171: 29.0.50; Change gnus-user-agent to nil by default

From: Stefan Kangas <[email-masked]>
Date: Fri, 30 Sep 2022 15:53:37 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I think in the case of Gnus, defaulting this header to nil would just be
> security theatre -- there so many distinctive features in how
> Gnus/Message formats messages that anybody can tell that it's from Emacs
> even without that header.

For me, the greater concern is anonymity/privacy, where I do think
it's better to be less specific.

How about removing just the Emacs version?  If you announce "29.0.50",
only very few people will be running that version at any given time,
certainly fewer than is running the releases.